# Endpoints

The available endpoints for unSkript:

* [Executions](/unskript-documentation/tooling/api-reference/endpoints/executions.md)
  * List all executions
  * Get details of a specific execution
* [RunBooks](/unskript-documentation/tooling/api-reference/endpoints/workflows.md)
  * List RunBooks
  * RunBook Details
  * Execute RunBook
* [Schedules](/unskript-documentation/tooling/api-reference/endpoints/schedules.md)
  * List all Schedules
  * Get Specific Schedule Details
  * Create a Schedule
  * Delete a Schedule
  * Update a Schedule


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/tooling/api-reference/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
